import { BASE } from "../../Constants"
import accountSvg from "../../assets/account.svg"
import "../../style/template/header.css"
import { useEffect, useState } from "react"
import { fetchAPIGet } from "../../Fetcher.ts"


export function Header() {

    const [username, setUsername] = useState("")

    useEffect(() => {
        async function getUsername() {
            const response = await fetchAPIGet("user")
            //TODO check if the response is ok and handle errors
            const {name} = await response.json()
            setUsername(name)
        }

        getUsername()
    }, [])

    return (
        <div id="header">
            <div id="header-left"></div>
            <div id="header-center">
                <p
                    id="iqball"
                    className="clickable"
                    onClick={() => {
                        location.pathname = BASE + "/"
                    }}>
                    IQBall
                </p>
            </div>
            <div id="header-right">
                <div className="clickable" id="clickable-header-right">
                    {/* <AccountSvg id="img-account" /> */}
                    <img
                        id="img-account"
                        src={accountSvg}
                        onClick={() => {
                            location.pathname = BASE + "/settings"
                        }}
                    />
                    <p id="username">{username}</p>
                </div>
            </div>
        </div>
    )
}
